Sentinel Uninstall

Sentinel Uninstall
Uninstalls sentinel software from source system.

Uninstalls sentinel software from source system.

Request
URI
POST
https://{server}/hybridity/api/sentinelUninstall
COPY
Request Body

Uninstall sentinel request body

sentinelUninstallRequest of type(s) application/json
Required
{
    "sentinelId": "string"
}
string
sentinelId
Optional

Unique identifier of the sentinel.

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns sentinelUninstallSuccessResponse of type(s) application/json
{
    "taskId": "string"
}
string
taskId
Optional

Id of the sentinel uninstall job/task. API /hybridity/api/sentinelUninstall/tasks/{taskId} can be used to track progress of the task.


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

405

Method Not Allowed

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/sentinelUninstall